<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Customer extends Model 
{

    protected $table = 'customers';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];

    public function taxOffice()
    {
        return $this->belongsTo('TaxOffice');
    }

    public function bills()
    {
        return $this->hasMany('Bill');
    }

}